<!-- <div class="container">
  <div class="row card">
    <div class="card-header">
      <i class="icon-map"></i>Cell registration
    </div>
    <div class="col-xs-12 col-sm-10 col-md-8 col-sm-offset-1 col-md-offset-2 card-body">
      -->

      <div class="container">
          <div class="row">
          <div class="col-sm-3"></div>

          <div class="col-sm-6">
              <mat-toolbar color="primary">Cell Registration</mat-toolbar>
            <mat-card class="example-card">
              <mat-card-content>

      <form [formGroup]="registerCellForm" (ngSubmit)="onSubmit()">
        <!-- <div class="form-group">
          <label for="internalResistance">Internal Resistance<sup class="req">*</sup></label>
          <input
          	type="text"
          	formControlName="internalResistance"
          	class="form-control"
            placeholder="Enter Internal Resistance">
             <div *ngIf="registerCellForm.get('internalResistance').invalid && registerCellForm.get('internalResistance').touched"
              class="alert alert-danger">

              <div *ngIf="registerCellForm.get('internalResistance').errors.required">
                Internal Resistance is required.
              </div>
            </div>
        </div> -->

        <mat-form-field class="form-group">
            <mat-label> Internal Resistance </mat-label>
            <input matInput formControlName="internalResistance" placeholder="Enter Internal Resistance" />
            <mat-error *ngIf="!!this.registerCellForm.controls.internalResistance.hasError('required')"
              >Internal Resistance is required</mat-error
            >
          </mat-form-field>

        <!-- <div class="form-group">
          <label for="cellBarcode">Cell Barcode<sup class="req">*</sup></label>
          <input
          	 type="text"
          	 formControlName="cellBarcode"
          	 class="form-control"
          	 placeholder="Enter Cell Barcode"
          	 maxlength="15"
          >
             <div *ngIf="registerCellForm.get('cellBarcode').invalid && registerCellForm.get('cellBarcode').touched"
              class="alert alert-danger">

              <div *ngIf="registerCellForm.get('cellBarcode').errors.required">
                Cell Barcode is required.
              </div>
              <div *ngIf="registerCellForm.get('cellBarcode').errors.minlength || registerCellForm.get('cellBarcode').errors.minlength">
                Cell Barcode must be of exact 15 digits.
              </div>
            </div>
        </div> -->

        <mat-form-field class="form-group">
            <mat-label> Cell Barcode </mat-label>
            <input matInput formControlName="cellBarcode" placeholder="Enter Cell Barcode"  />
            <mat-error *ngIf="!!this.registerCellForm.controls.cellBarcode.hasError('required')"
              >Cell Barcode is required</mat-error
            >
            <mat-error *ngIf="!!this.registerCellForm.controls.cellBarcode.hasError('minlength') || !!this.registerCellForm.controls.cellBarcode.hasError('maxlength')"
              >Cell Barcode must be of exact 15 digits</mat-error
            >
          </mat-form-field>

        <!-- <div class="form-group">
          <label for="ocv">Open Circuit Voltage<sup class="req">*</sup></label>
          <input
              type="text"
              formControlName="ocv"
              class="form-control"
              placeholder="Enter Open Circuit Voltage">
              <div *ngIf="registerCellForm.get('ocv').invalid && registerCellForm.get('ocv').touched"
              class="alert alert-danger">

              <div *ngIf="registerCellForm.get('ocv').errors.required">
                Open Circuit Voltage is required.
              </div>
            </div>
        </div> -->
        <mat-form-field class="form-group">
            <mat-label> Open Circuit Voltage </mat-label>
            <input matInput formControlName="ocv" placeholder="Enter Open Circuit voltage" />
            <mat-error *ngIf="!!this.registerCellForm.get('ocv').hasError('required')"
              >Open Circuit Voltage required</mat-error
            >
          </mat-form-field>

        <mat-form-field class="form-group">
            <mat-label> Capacity </mat-label>
            <input matInput formControlName="capacity" placeholder="Enter Capacity" />
            <mat-error *ngIf="!!this.registerCellForm.get('capacity').hasError('required')"
              >Capacity required</mat-error
            >
          </mat-form-field>

         <!-- <div class="form-group">
          <label for="capacity">Capacity<sup class="req">*</sup></label>
          <input
              type="text"
              formControlName="capacity"
              class="form-control"
              placeholder="Enter Open Circuit Voltage">
              <div *ngIf="registerCellForm.get('capacity').invalid && registerCellForm.get('capacity').touched"
              class="alert alert-danger">

              <div *ngIf="registerCellForm.get('capacity').errors.required">
                Capacity required.
              </div>
            </div>
        </div> -->

        <mat-form-field class="form-group">
            <mat-label> Vendor </mat-label>
            <mat-select id="vendor" formControlName="vendor" >
              <mat-option value="-1"
                >----Click to Select Vendor----</mat-option>

              <mat-option *ngFor="let v of vendors" value= "{{v}}">{{ v }}</mat-option>
            </mat-select>
            <mat-error *ngIf="registerCellForm.get('vendor').hasError('min')">
                Please select Vendor.
            </mat-error>
          </mat-form-field>
        <!-- <div class="form-group">
          <label for="vendor">Vendor<sup class="req">*</sup></label>
          <select
            id="vendor"
            formControlName="vendor"
            class="form-control">
            <option value="-1">- Click to Select Vendor -</option>
            <option *ngFor="let u of vendors">{{ u }}</option>
          </select>
             <div *ngIf="registerCellForm.get('vendor').invalid && registerCellForm.get('vendor').touched"
              class="alert alert-danger">

              <div *ngIf="registerCellForm.get('vendor').errors.min">
                Please select Vendor.
              </div>
            </div>
        </div> -->
        <div class="row">
            <div class="col-sm-4"></div>
            <div class="col-sm-4"></div>
            <div class="col-sm-4">
        <button
           mat-raised-button color="primary"
           type="submit"
           [disabled]="registerCellForm.invalid">Submit</button></div>
           </div>
      </form>
    </mat-card-content>
  </mat-card>
  </div>
<div class="col-md-3 col-sm-3 col-lg-3"></div>
</div>
</div>
